Bug 410681 - add maps .note section to core file
add maps .note section to core file
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity low
: ---
: ---
Assigned To: Neil Horman
Red Hat Kernel QE team
:
Depends On:
Blocks: 173278
  Show dependency treegraph
 
Reported: 2007-12-04 11:49 EST by Andrew Cagney
Modified: 2009-04-17 07:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 07:03:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2007-12-04 11:49:18 EST
The memory address space of the process dumping core is not directly available
(in theory one can groak the memory table maintained by dlopen but in reality
that information is corrupt).  This makes analysis of core generated early in a
programs execution or with a corrupt dl-table impossible.

Suggest writing out the address map to a separate .note section.
Comment 2 Neil Horman 2008-11-17 14:37:56 EST
Not sure whats left to be done here.  The requestors account has been closed, and I think that the functionality that is required is implemented in 5.3 via the core_patter facility.  Does anyone with an interest in this bug have any more input here, or shall we close this as NEXTRELEASE?
Comment 3 Neil Horman 2009-04-17 07:03:04 EDT
closing, no response

Note You need to log in before you can comment on or make changes to this bug.